Next: SIGN, Previous: SHIFTL, Up: Intrinsic Procedures

### 8.222 `SHIFTR` — Right shift

Description:
  `SHIFTR` returns a value corresponding to I with all of the bits shifted right by SHIFT places. If the absolute value of SHIFT is greater than `BIT_SIZE(I)`, the value is undefined. Bits shifted out from the right end are lost, and bits shifted in from the left end are set to 0.
Standard:
  Fortran 2008 and later
Class:
  Elemental function
Syntax:
  `RESULT = SHIFTR(I, SHIFT)`
Arguments:

  I | The type shall be `INTEGER`.
  SHIFT | The type shall be `INTEGER`.

Return value:
  The return value is of type `INTEGER` and of the same kind as I.
See also:
  SHIFTA, SHIFTL